"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../service/ayuda.service");
var BitBotonAyudaComponent = /** @class */ (function () {
    function BitBotonAyudaComponent(ayudaService) {
        this.ayudaService = ayudaService;
        this.boton = false; // show a little [?] or a full button
        this.extraClass = ''; // extra CSS classes for HTML component
    }
    BitBotonAyudaComponent.prototype.mostrarAyuda = function () {
        this.ayudaService.mostrarAyuda(this.ayuda);
    };
    BitBotonAyudaComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-boton-ayuda',
                    template: "\n    <button *ngIf=\"boton\" \n        type=\"button\"\n        (click)=\"mostrarAyuda()\"\n        [ngClass]=\"'btn btn-transparent ' + extraClass\"\n    >Ajuda&nbsp;&nbsp;<span class=\"fa fa-life-ring\"></span></button>\n\n    <i *ngIf=\"!boton\" \n        [ngClass]=\"'btn-ayuda fa fa-question ' + extraClass\"\n        (click)=\"mostrarAyuda();\"\n    ></i>\n    "
                },] },
    ];
    /** @nocollapse */
    BitBotonAyudaComponent.ctorParameters = function () { return [
        { type: ayuda_service_1.AyudaService }
    ]; };
    BitBotonAyudaComponent.propDecorators = {
        ayuda: [{ type: core_1.Input }],
        boton: [{ type: core_1.Input }],
        extraClass: [{ type: core_1.Input }]
    };
    return BitBotonAyudaComponent;
}());
exports.BitBotonAyudaComponent = BitBotonAyudaComponent;
//# sourceMappingURL=bit-boton-ayuda.component.js.map