"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var RemoveLineBreaksPipe = /** @class */ (function () {
    function RemoveLineBreaksPipe() {
    }
    RemoveLineBreaksPipe.prototype.transform = function (str) {
        if (str.indexOf('\n') > 0) {
            str = str.split('\n').filter(function (line) { return line.trim().length > 0; }).join(' // ');
        }
        if (str.length > 200) {
            str = str.substring(0, 200) + ' ...';
        }
        return str;
    };
    RemoveLineBreaksPipe.decorators = [
        { type: core_1.Pipe, args: [{
                    name: 'removeLineBreaks'
                },] },
    ];
    return RemoveLineBreaksPipe;
}());
exports.RemoveLineBreaksPipe = RemoveLineBreaksPipe;
//# sourceMappingURL=remove-line-breaks.pipe.js.map