"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/**
* Componente que muestra miga de pan y toolbar
*/
var BitHeaderComponent = /** @class */ (function () {
    function BitHeaderComponent() {
        this.componentId = "BASE"; //id del componente donde está asociado el header. Por defecto BASE
        this.toolbar = {};
        this.noToolbar = false;
        this.otherActionsDropdown = false; // determina si las "other actions" deben mostrarse en línea o como un desplegable
        this.femenino = false; // género femenino (para los nombres de botones) o no
        this.onToolbarButtonPressed = new core_1.EventEmitter();
    }
    /** Tenemos que capturar el evento y volver a subirlo, por diseño Angular2 no permite enviar un evento de un nieto a su abuelo, solo
     * de hijo a padre
     */
    BitHeaderComponent.prototype.onTBPressed = function (button) {
        this.onToolbarButtonPressed.emit(button);
    };
    BitHeaderComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-header',
                    template: "\n<div class=\"row container\" [class.container-bread-btn-fixed]=\"breadcrumb\" [class.cotainer-bread-btn-lite]=\"!breadcrumb\">\n    <div\n        [ngClass]=\"[colsBreadcrumb  ? ('col-sm-' + colsBreadcrumb): (masacciones ? 'col-sm-5' : 'col-sm-7')]\">\n        <!-- ruta de donde nos encontramos (miga de pan) -->\n        <bit-breadcrumb *ngIf=\"breadcrumb\" [breadcrumb]=\"breadcrumb\"></bit-breadcrumb>\n    </div>\n    <div *ngIf=\"noToolbar === false\"\n        [ngClass]=\"[colsBreadcrumb  ? ('col-sm-' + (12-colsBreadcrumb)): (masacciones ? 'col-sm-7' : 'col-sm-5')]\">\n        <!-- botonera de acciones -->    \n        <bit-toolbar \n            [componentId]=\"componentId\" \n            [femenino]=\"femenino\"\n            [otherActionsDropdown]=\"otherActionsDropdown\"\n\t    [ayuda]=\"ayuda\"\n            (onToolbarButtonPressed)=\"onTBPressed($event)\"></bit-toolbar>\n    </div>\n</div>\n"
                },] },
    ];
    BitHeaderComponent.propDecorators = {
        componentId: [{ type: core_1.Input }],
        toolbar: [{ type: core_1.Input }],
        noToolbar: [{ type: core_1.Input }],
        otherActionsDropdown: [{ type: core_1.Input }],
        breadcrumb: [{ type: core_1.Input }],
        masacciones: [{ type: core_1.Input }],
        colsBreadcrumb: [{ type: core_1.Input }],
        femenino: [{ type: core_1.Input }],
        ayuda: [{ type: core_1.Input }],
        onToolbarButtonPressed: [{ type: core_1.Output }]
    };
    return BitHeaderComponent;
}());
exports.BitHeaderComponent = BitHeaderComponent;
//# sourceMappingURL=bit-header.component.js.map