import { Router } from "@angular/router";
import { Location } from "@angular/common";
import { Action } from "@ngrx/store";
import { Actions } from "@ngrx/effects";
import { Observable } from "rxjs";
import { NavigationExtras } from "@angular/router";
export declare class RouterEffects {
    private actions$;
    private router;
    private location;
    constructor(actions$: Actions, router: Router, location: Location);
    navigate$: Observable<{
        path: any[];
        query?: object;
        extras?: NavigationExtras;
    }>;
    navigateBack$: Observable<Action>;
    navigateForward$: Observable<Action>;
}
